<?xml version="1.0" standalone="no"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:typy="http://www.mf.gov.pl/xsd/aesais/typy" targetNamespace="http://www.mf.gov.pl/xsd/aesais/typy" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:simpleType name="DataType">
		<xs:restriction base="xs:date"/>
	</xs:simpleType>
	<xs:simpleType name="DataCzasType">
		<xs:restriction base="xs:dateTime"/>
	</xs:simpleType>
	<xs:simpleType name="LogicznyType">
		<xs:restriction base="xs:boolean">
			<xs:pattern value="0|1"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String1Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="1"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String2Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="2"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String3Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="3"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String4Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="4"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String5Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="5"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String6Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="6"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String7Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="7"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String8Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="8"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String9Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="9"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String10Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="10"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String12Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="12"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String14Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="14"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String15Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="15"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String17Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="17"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String18Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="18"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String20Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="20"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String21Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="21"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String22Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="22"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String24Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="25"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String25Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="25"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String27Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="27"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String30Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="30"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String35Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="35"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String40Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="40"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String42Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="42"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String50Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="50"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String64Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="64"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String70Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="70"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String100Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="100"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String123Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="123"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String140Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="140"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String255Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="255"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String256Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="256"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String260Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="260"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String280Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="280"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String350Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="350"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String512Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="512"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String1000Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="1000"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String1024Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="1024"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String2000Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="2000"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="String10000Type">
		<xs:restriction base="xs:string">
			<xs:maxLength value="10000"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL1Type">
		<xs:restriction base="xs:string">
			<xs:length value="1"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL2Type">
		<xs:restriction base="xs:string">
			<xs:length value="2"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL3Type">
		<xs:restriction base="xs:string">
			<xs:length value="3"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL4Type">
		<xs:restriction base="xs:string">
			<xs:length value="4"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL5Type">
		<xs:restriction base="xs:string">
			<xs:length value="5"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL6Type">
		<xs:restriction base="xs:string">
			<xs:length value="6"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL8Type">
		<xs:restriction base="xs:string">
			<xs:length value="8"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL10Type">
		<xs:restriction base="xs:string">
			<xs:length value="10"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL11Type">
		<xs:restriction base="xs:string">
			<xs:length value="11"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL14Type">
		<xs:restriction base="xs:string">
			<xs:length value="14"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL18Type">
		<xs:restriction base="xs:string">
			<xs:length value="18"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL19Type">
		<xs:restriction base="xs:string">
			<xs:length value="19"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL22Type">
		<xs:restriction base="xs:string">
			<xs:length value="22"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="StringL25Type">
		<xs:restriction base="xs:string">
			<xs:length value="25"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Int1DigitType">
		<xs:restriction base="xs:int">
			<xs:totalDigits value="1"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Int2DigitType">
		<xs:restriction base="xs:int">
			<xs:totalDigits value="2"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Int3DigitType">
		<xs:restriction base="xs:int">
			<xs:totalDigits value="3"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Int4DigitType">
		<xs:restriction base="xs:int">
			<xs:totalDigits value="4"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Int5DigitType">
		<xs:restriction base="xs:int">
			<xs:totalDigits value="5"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Int6DigitType">
		<xs:restriction base="xs:int">
			<xs:totalDigits value="6"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Int7DigitType">
		<xs:restriction base="xs:int">
			<xs:totalDigits value="7"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Int8DigitType">
		<xs:restriction base="xs:int">
			<xs:totalDigits value="8"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Int11DigitType">
		<xs:restriction base="xs:long">
			<xs:totalDigits value="11"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Int12DigitType">
		<xs:restriction base="xs:long">
			<xs:totalDigits value="12"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Int15DigitType">
		<xs:restriction base="xs:long">
			<xs:totalDigits value="15"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Int1To8DigitType">
		<xs:restriction base="xs:int">
			<xs:minInclusive value="0"/>
			<xs:maxExclusive value="100000000"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Float11.3DigitType">
		<xs:restriction base="xs:decimal">
			<xs:totalDigits value="11"/>
			<xs:fractionDigits value="3"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Float12.5DigitType">
		<xs:restriction base="xs:decimal">
			<xs:totalDigits value="12"/>
			<xs:fractionDigits value="5"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Float14.4DigitType">
		<xs:restriction base="xs:decimal">
			<xs:totalDigits value="14"/>
			<xs:fractionDigits value="4"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Float15.2DigitType">
		<xs:restriction base="xs:decimal">
			<xs:totalDigits value="15"/>
			<xs:fractionDigits value="2"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Float15.3DigitType">
		<xs:restriction base="xs:decimal">
			<xs:totalDigits value="15"/>
			<xs:fractionDigits value="3"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Float15.6DigitType">
		<xs:restriction base="xs:decimal">
			<xs:totalDigits value="15"/>
			<xs:fractionDigits value="6"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Float16.2DigitType">
		<xs:restriction base="xs:decimal">
			<xs:totalDigits value="16"/>
			<xs:fractionDigits value="2"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Float16.6DigitType">
		<xs:restriction base="xs:decimal">
			<xs:totalDigits value="16"/>
			<xs:fractionDigits value="6"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Float17.2DigitType">
		<xs:restriction base="xs:decimal">
			<xs:totalDigits value="17"/>
			<xs:fractionDigits value="2"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="NrWlasnyType">
		<xs:restriction base="typy:String22Type"/>
	</xs:simpleType>
	<xs:simpleType name="KodWalutyType">
		<xs:restriction base="typy:StringL3Type"/>
	</xs:simpleType>
</xs:schema>
